'use client'
import { AppProgressProvider as ProgressProvider } from '@bprogress/next'
import { useEffect } from 'react'

const ProgressBar = ({ children }: { children: React.ReactNode }) => {
  useEffect(() => {
    console.log('progress')
  }, [])

  return (
    <ProgressProvider height="4px" color="#E63C8B" options={{ showSpinner: false }} shallowRouting>
      {children}
    </ProgressProvider>
  )
}

export default ProgressBar
